Description

It would be nice to have the currently edited page auto-saved every once and a while, so that changes are not lost inadvertently.

Unfortunately, this can lead to wiki-history bloat. A possible solution to this is to have "minor-revisions" to pages. These could be
"flushed" periodically from the wiki-DB, as they would only be used as temporary placeholders before a user "saves" their edits to
their page.

Actually, in thinking this through, i can see that this might lead to clobbering of other users work, if two users are editing the same
page at the same time... Could the auto-save save the changes locally, at least? Just so that the work is not lost if the user's browser
goes down, or something...

History

#1 - 2009-02-08 18:09 - Axel Voitier

I had a similar though about that some days ago, when | was chatting with a user of Twiki. Twiki got a feature to invisibly edit a revision. | am totally
against such thing. But the user was using it to temporary save his work.

| rewrote the use case and plan to develop the following feature for my Redmine use (but not for the moment):

As it is often that when editing a wiki page we want to save modifications without publishing them publicly (don't publish unfinished/unstable
work), a "save in working copy" action would benefit wiki edition.

Behaviour would be:
® having a specific option or button to save an edited wiki page that:
¢ save the edited content on the server

e does not produce any new revision of the page
e s strictly private and re-editable only by the user itself

e when edition work is over, a traditional save action publish a new revision of the page, dated at this precise moment (and not timed when
we did a previous "save to working copy" action
e if conflict with a new revision happens (someone(s) else published new revision(s) since we firstly edited the working copy), then:

¢ show differences between head revision and edited revision, but without local changes made in the working copy
® propose an edition possibility to merge the working copy changes with head revision changes

#2 - 2009-02-08 18:16 - Jerome Vanthournout
Same feature than #1888

#3 - 2009-07-16 14:05 - Emrah KAVUN

Any update regarding this feature?
| checked issue #1888 but there doesn't seem to be any progress about it either.

Regards,
Emrah

#4 - 2009-07-16 15:45 - Chris Grieger

Working on the basic implementation of
-ability to save the current draft
-when going back to edit the page the draft is loaded into the editor

-maybe autosave

#5 - 2009-07-23 18:04 - Alex Dergachev

That's great news Chris, we're eagerly waiting to see the results of your work!
Please let me know if you need help bug testing it.

Once the redmine side of things has been built, we may be able to help out with the js autosave functionality.

Cheers,
Alex

#6 - 2009-07-24 20:13 - Joe Hodsdon
Looking forward to it. I'm happy to help test as well. Would be nice if the JS responded to a Ctrl-S keypress by saving a draft copy, too.

#7 - 2009-12-04 09:23 - Udit Sajjanhar

Hi Chris,

Are you still working on the patch for this feature?

Do you have some design documents so that in case you have not taken up this issue, | can continue from where you left.

Thanks,
Udit

#8 - 2011-03-23 11:12 - Toshi MARUYAMA
- Category set to Wiki

#9 - 2011-04-05 16:30 - N Bischof
| agree, this is must-have feature.
What about a button "Save Minor Changes" (as confluence has it), but which:

e is only visible if the user has locked the issue (or wiki page), and
e if pressed, saves the current changes without modification emails

The first condition prevents us from conflicts when 2 user update the same issue.
Modification emails still may be sent once the user unlocks the issue.
